Data Fields

# _LogInfo Struct Reference

## Data Fields
LogEventType | event_mask
LogHandlerType | handler_mask
char * | path
char * | name
char * | filename
char * | format
size_t | generations
size_t | limit
FILE * | file
size_t | generation
WizardBooleanType | append
WizardBooleanType | exempt
WizardBooleanType | stealth
TimerInfo * | timer
size_t | signature

## Field Documentation

WizardBooleanType _LogInfo::append

Referenced by CloseWizardLog(), DestroyLogElement(), and LogWizardEventList().

LogEventType _LogInfo::event_mask

Referenced by IsEventLogging(), LoadLogList(), LoadLogLists(), LogWizardEventList(), and SetLogEventMask().

WizardBooleanType _LogInfo::exempt

Referenced by DestroyLogElement(), LoadLogList(), and LoadLogLists().

FILE* _LogInfo::file

Referenced by CloseWizardLog(), DestroyLogElement(), and LogWizardEventList().

char * _LogInfo::filename

Referenced by DestroyLogElement(), LoadLogList(), LoadLogLists(), and TranslateFilename().

char * _LogInfo::format

Referenced by DestroyLogElement(), LoadLogList(), LoadLogLists(), SetLogFormat(), and TranslateEvent().

size_t _LogInfo::generation

Referenced by LogWizardEventList(), TranslateEvent(), and TranslateFilename().

size_t _LogInfo::generations

Referenced by ListLogInfo(), LoadLogList(), TranslateEvent(), and TranslateFilename().

LogHandlerType _LogInfo::handler_mask

Referenced by LoadLogList(), LoadLogLists(), and LogWizardEventList().

size_t _LogInfo::limit

Referenced by LoadLogList(), and LogWizardEventList().

char * _LogInfo::name

Referenced by GetLogInfo(), GetLogInfoList(), GetLogList(), and LoadLogLists().

char* _LogInfo::path

Referenced by DestroyLogElement(), ListLogInfo(), LoadLogList(), and LoadLogLists().

size_t _LogInfo::signature

Referenced by LoadLogList(), and LoadLogLists().

WizardBooleanType _LogInfo::stealth

Referenced by GetLogInfoList(), and GetLogList().

TimerInfo* _LogInfo::timer

Referenced by DestroyLogElement(), LoadLogList(), LoadLogLists(), LogWizardEventList(), and TranslateEvent().

The documentation for this struct was generated from the following file:

- log.c